Subject: bug#33871: 27.0.50; Revert Dired window saved in window configuration

From: martin rudalics <[email-masked]>
Date: Fri, 22 Mar 2024 10:26:19 +0100

> There are two scenarios that this patch will fix:

I reconstructed the buggy behaviors and checked that the patch fixes
them.

 >> IIUC the original Bug#33871 is still unsolved.
 >
 > The proposed patch will close bug#33871.

Can you amend the original scenario you posted there in a way that one
can see how your patch can be used to fix it. That's where I stumbled
initially because I didn't know what to do.

 >> Bug#33532 as well.
 >
 > Bug#33532 could be closed as well due to new context functions.
 >
 >> What about Bug#68235 and Bug#69093?
 >
 > Bug#68235 is closed, but the patch will solve the issue
 > mentioned in https://debbugs.gnu.org/68235#79
 > starting with the words:
 > "BTW, there is another problem when the same buffer is displayed
 > in two tabs/window-configurations."
 >
 > Bug#69093 is completely fixed.

Is there any place where we should amend the documentation for these?
Which are the cases where the context function will fail to work?

 >> And Bug#12253?
 >
 > Bug#12253 is unrelated, but thanks for reminder,
 > it should be addressed later as well.

If there's anything I can or should do, please tell me.

Thanks, martin